Subject: [bug#75010] [PATCH v4 0/5] Roll back when deployment fails.

From: Herman Rimm <[email-masked]>
Date: Fri, 9 May 2025 08:02:24 +0200

Hi,

I removed [PATCH 1/7] and adjusted [PATCH 2/7], now [PATCH v4 1/5].

> The (mbegin …) expression has no effect because it’s not in tail
> position (it expands to (lambda (…) …)).
>
> Even if it had an effect, generating the bootloader config file in
> Itself does nothing: it has to at least be copied to the right place or
> Passed as an argument to ‘grub-install’ or similar.

I do not want to fix this bug in [PATCH v4 1/5].  If it should be fixed
first, I can send another [PATCH v4 1/5] revision once it is. I still do
not know how to fix it.

55a5181e745131e5369beaf59d4d406da92b5617 made [PATCH 3/7] obsolete.

Cheers,
Herman

Felix Lechner (1):
  Rename two remote variables confusingly named 'generations'.

Herman Rimm (4):
  gnu: machine: ssh: Refactor roll-back-managed-host.
  gnu: machine: Remove &deploy-error.
  gnu: machine: ssh: Roll-back on failure.
  gnu: tests: Add module for guix deploy tests.

 gnu/local.mk            |   3 +-
 gnu/machine.scm         |  17 +--
 gnu/machine/ssh.scm     | 140 ++++++++++++-------------
 gnu/tests/deploy.scm    | 223 ++++++++++++++++++++++++++++++++++++++++
 guix/scripts/deploy.scm |   8 +-
 5 files changed, 295 insertions(+), 96 deletions(-)
 create mode 100644 gnu/tests/deploy.scm

base-commit: 2e1ead7c8b449b58d571d8f16c1586b675c13ab4
-- 
2.48.1